package ap

import "net/url"

type IdType struct {
	Id *url.URL
}

type ValueType[T any] struct {
	Value T
}

type Media struct {
	Type      url.URL
	MediaType *ValueType[string]
	Url       IdType
	Sensitive *ValueType[bool]
}
